<?php
namespace Claromentis\Core\Config;

$GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"] ?: array()) + array("_bb152d3d0f3a7af77c042dab184b954" . "5" => base64_decode("PQ" . "=="), "_bd71c3b5c201fc11db82" . "ed14ce424de5" => base64_decode("aW5fYXJy" . "YXk="), "_3ce655ae4a14421967cc023a6e9" . "07ed5" => base64_decode("aXNfZmlsZ" . "Q=="), "_4d707fab93bebb00bbe" . "69e8159697c90" => base64_decode(""), "_e92ad742fc12ec1dd5c30557fafca33" . "1" => base64_decode("I" . "g" . "=" . "="), "_8ff0e2c6dc53989c37139dd673c9ef" . "80" => base64_decode("X" . "A" . "=" . "="), "_8a36a84b" . "aeffc0085" . "672f9bf9c" . "064f67" => base64_decode("ZmlsZV9" . "wdXRfY2" . "9udGVud" . "HM="), "_644b798b19dd133ec9211fb91" . "6df032b" => base64_decode("ZmlsZV9nZXRfY29u" . "dGVudHM="), "_9a2152b0718b64ebb25ca4d" . "5dc67e4c7" => base64_decode("RW52aXJvbm1lbnQgY" . "29uZmlndXJhdGlvbi" . "B3cml0dGVuIHRvIC5" . "lbnYgZmlsZQ=="), "_85b1d6168626327100decb" . "1627215bbd" => base64_decode("aXNf" . "d3Jp" . "dGFi" . "bGU="), "_d706c160e45bf7434f" . "ff82a5976f0e19" => base64_decode("YXJyYXlf" . "a2V5cw=="), "_d43b05b" . "9d2a6bb8" . "4e6bf44f" . "3416d342" . "1" => base64_decode("X" . "F" . "w" . "="), "_79a71f554e3d3d9549bf7" . "8bcfea3f6be" => base64_decode("XCI" . "="), "_eaffc5d7e0ea1c84c4b39f95d2e2f" . "c8d" => base64_decode("c3RyX3Jlc" . "GxhY2U="));
use Claromentis\Core\Config\Exception\DotenvException;
use Dotenv\Dotenv;
use Psr\Log\LoggerAwareInterface;
use Psr\Log\LoggerAwareTrait;
use Psr\Log\NullLogger;







class ConfigDotenv implements WritableConfig, LoggerAwareInterface
{
    use LoggerAwareTrait;
    
    
    
    
    protected Environment $environment;
    
    
    
    
    protected array $values = [];
    
    
    
    
    protected Dotenv $dotenv;
    
    
    
    
    protected string $filePath;
    public function __construct(Environment $_6e2e5d4222c95a8fef1631a7dff02f97, Dotenv $_f08e7b69505d3f1bdcd71b2b20adb653, string $_99439ccceff810d579843bc36b914bef)
    {
        $this->environment = $_6e2e5d4222c95a8fef1631a7dff02f97;
        $this->dotenv = $_f08e7b69505d3f1bdcd71b2b20adb653;
        $this->filePath = $_99439ccceff810d579843bc36b914bef;
        $this->values = $_f08e7b69505d3f1bdcd71b2b20adb653->safeLoad();
        $this->logger = new NullLogger();
    }
    public function has(string $key) : bool
    {
        return $this->environment->has($key);
    }
    public function get(string $key)
    {
        return $this->environment->get($key);
    }
    public function getAll() : array
    {
        return $this->environment->getAll();
    }
    public function set(string $key, $value) : void
    {
        if (!$this->canSet($key)) {
            return;
        }
        $this->values[$key] = $value;
    }
    public function setMany(array $values) : void
    {
        foreach ($values as $key => $value) {
            $this->set($key, $value);
        }
    }
    public function delete(string $key) : void
    {
        unset($this->values[$key]);
    }
    public function save() : void
    {
        
        
        $this->writeDotenv($this->values, $this->filePath);
        $this->logger->notice($GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_9a2152b0718b64ebb25c" . "a4d5dc67e4c7"], [$this->values]);
        
        
        $this->values = $this->dotenv->safeLoad();
        $this->environment->loadFromGlobals();
    }
    public function canSet(string $key) : bool
    {
        return $GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_bd71c3b5c201fc11db" . "82ed14ce424de5"]($key, $GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_d706c160e45bf7434fff" . "82a5976f0e19"]($this->environment::ALIASES));
    }
    
    
    
    
    
    
    
    
    private function writeDotenv(array $values, string $_99439ccceff810d579843bc36b914bef) : void
    {
        $_d34599daeb8cca374d3adb38b245839c = $this->buildDotenvContentString($values);
        if ($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_3ce655ae4a14" . "421967cc023a6" . "e907ed5"]($_99439ccceff810d579843bc36b914bef) && !$GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_85b1d6168" . "626327100d" . "ecb1627215" . "bbd"]($_99439ccceff810d579843bc36b914bef)) {
            throw DotenvException::fileNotWritable($_99439ccceff810d579843bc36b914bef);
        }
        $GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_8a36a84baeffc0085672f9bf9c064" . "f67"]($_99439ccceff810d579843bc36b914bef, $_d34599daeb8cca374d3adb38b245839c);
        if (!$GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_3ce655ae4a" . "14421967cc0" . "23a6e907ed5"]($_99439ccceff810d579843bc36b914bef) || $GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_644b798b19dd133ec92" . "11fb916df032b"]($_99439ccceff810d579843bc36b914bef) !== $_d34599daeb8cca374d3adb38b245839c) {
            throw DotenvException::fileWriteFailed($_99439ccceff810d579843bc36b914bef);
        }
    }
    
    
    
    
    
    
    
    
    private function buildDotenvContentString(array $_d34599daeb8cca374d3adb38b245839c) : string
    {
        $_4a761700523546d260b49b42b6c9fdb6 = $GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_4d707fab93bebb00" . "bbe69e8159697c90"];
        foreach ($_d34599daeb8cca374d3adb38b245839c as $key => $value) {
            
            
            $value = $GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_eaffc5d7e0ea1c84c4b39f95d2e2fc8" . "d"]($GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_8ff0e2c6dc53989c37139" . "dd673c9ef80"], $GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_d43b05b9d2a6bb84" . "e6bf44f3416d3421"], $value);
            $value = $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_eaffc5d7e0ea1" . "c84c4b39f95d2e" . "2fc8d"]($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_e92ad742fc12ec1dd5c30" . "557fafca331"], $GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_79a71f554e3d3d9549" . "bf78bcfea3f6be"], $value);
            $value = $GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_e92ad742fc12ec1dd5c30557" . "fafca331"] . $value . $GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_e92ad742fc12ec1" . "dd5c30557fafca33" . "1"];
            $_4a761700523546d260b49b42b6c9fdb6 .= $key . $GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_bb152d3d0f3a7af77c042da" . "b184b9545"] . $value . PHP_EOL;
        }
        return $_4a761700523546d260b49b42b6c9fdb6;
    }
    public function offsetExists($_1f50e30be8c2fefa6881834e71d504a2) : bool
    {
        return $this->has($_1f50e30be8c2fefa6881834e71d504a2);
    }
    public function offsetGet($_1f50e30be8c2fefa6881834e71d504a2)
    {
        return $this->get($_1f50e30be8c2fefa6881834e71d504a2);
    }
    public function offsetSet($_1f50e30be8c2fefa6881834e71d504a2, $value) : void
    {
        $this->set($_1f50e30be8c2fefa6881834e71d504a2, $value);
    }
    public function offsetUnset($_1f50e30be8c2fefa6881834e71d504a2) : void
    {
        $this->delete($_1f50e30be8c2fefa6881834e71d504a2);
    }
}